List template tag assignments
curl --request GET \
--url https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"assignmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"buildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedAt": "2023-11-07T05:31:56Z",
"buildCreatedAt": "2023-11-07T05:31:56Z",
"buildFinishedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}
Tags
List template tag assignments
Lists the ready assignments of one tag of the template, newest first, with keyset cursor pagination. Returns 404 when the template does not exist or belongs to another team.
GET
/
templates
/
{templateID}
/
tags
/
{tag}
/
assignments
List template tag assignments
curl --request GET \
--url https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.e2b.app/templates/{templateID}/tags/{tag}/assignments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"assignmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"buildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedAt": "2023-11-07T05:31:56Z",
"buildCreatedAt": "2023-11-07T05:31:56Z",
"buildFinishedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}
Authorizations
Query Parameters
Cursor returned by the previous list response in assigned_at|assignment_id format.
Maximum number of assignment rows to return per page.
Required range:
1 <= x <= 100Was this page helpful?